# class SimpleJob | A simple job (one url and one command) This is the base class for all jobs that are scheduled. More...
Full name | `KIO::SimpleJob`
Definition | `#include <jobclasses.h>`
Inherits | KIO::Job [public ]
Inherited by | ListJob, MimetypeJob, StatJob, TransferJob
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SimpleJob (const KURL& url, int command, const QByteArray &packedArgs, bool showProgressInfo)
- ~SimpleJob ()
- const KURL& url () const
- virtual void kill ( bool quietly = true )
- virtual void putOnHold ()
- virtual void start ( Slave *slave )
- void slaveDone ()
- Slave * slave ()
- int command ()

#### Public Slots

- virtual void slotError ( int , const QString & )

#### Public Static Methods

- static void removeOnHold ()

#### Protected Slots

- virtual void slotFinished ( )
- void slotWarning ( const QString & )
- void slotInfoMessage ( const QString & )
- void slotConnected ()
- void slotTotalSize ( unsigned long data_size )
- void slotProcessedSize ( unsigned long data_size )
- void slotSpeed ( unsigned long bytes_per_second )
- void slotNeedProgressId ()

#### Protected Members

- Slave * m_slave
- QByteArray m_packedArgs
- KURL m_url
- KURL m_subUrl
- int m_command
- unsigned long m_totalSize

## Detailed Description

A simple job (one url and one command) This is the base class for all jobs that are scheduled. Other jobs are high-level jobs (CopyJob, DeleteJob, FileCopyJob...) that manage subjobs but aren't scheduled directly.

SimpleJob (const KURL& url, int command, const QByteArray &packedArgs, bool showProgressInfo) | ### SimpleJob

~SimpleJob () | ### ~SimpleJob

const KURL& url () | ### url

[const]

void kill ( bool quietly = true ) | ### kill

[virtual]

Abort job This kills all subjobs and deletes the job

Parameters:

quietly | if true, Job will emit signal result Should only be set to false when the user kills the job (from kio_uiserver), not when you want to abort a job.

Reimplemented from Job.

void putOnHold () | ### putOnHold

[virtual]

Abort job Suspends slave to be reused by another job for the same request.

void removeOnHold () | ### removeOnHold

[static]

Discard suspended slave

void start ( Slave *slave ) | ### start

[virtual]

Called by the scheduler when a slave gets to work on this job.

void slaveDone () | ### slaveDone

Called to detach a slave from a job.

Slave * slave () | ### slave

Slave in use by this job

int command () | ### command

void slotFinished ( ) | ### slotFinished

[protected slots virtual slot]

Called when the slave marks the job as finished.

void slotWarning ( const QString & ) | ### slotWarning

[protected slots slot]

Called on a slave's warning

void slotInfoMessage ( const QString & ) | ### slotInfoMessage

[protected slots slot]

Called on a slave's info message

Reimplemented from Job.

void slotConnected () | ### slotConnected

[protected slots slot]

Called on a slave's connected signal

void slotTotalSize ( unsigned long data_size ) | ### slotTotalSize

[protected slots slot]

Forward signal from the slave

void slotProcessedSize ( unsigned long data_size ) | ### slotProcessedSize

[protected slots slot]

Forward signal from the slave

void slotSpeed ( unsigned long bytes_per_second ) | ### slotSpeed

[protected slots slot]

Forward signal from the slave

Reimplemented from Job.

void slotError ( int , const QString & ) | ### slotError

[virtual slot]

Called on a slave's error Made public for the scheduler

void slotNeedProgressId () | ### slotNeedProgressId

[protected slots slot]

Slave * m_slave | ### m_slave

[protected]

QByteArray m_packedArgs | ### m_packedArgs

[protected]

KURL m_url | ### m_url

[protected]

KURL m_subUrl | ### m_subUrl

[protected]

int m_command | ### m_command

[protected]

unsigned long m_totalSize | ### m_totalSize

[protected]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.